Skip to main content
GET
/
base
/
{baseId}
/
share
/
node
/
{nodeId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/share/node/%7BnodeId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "baseId": "<string>",
  "shareId": "<string>",
  "password": true,
  "nodeId": "<string>",
  "allowSave": true,
  "allowCopy": true,
  "enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
nodeId
string
required

Response

200 - application/json

Returns the base share for the specified node

baseId
string
required
shareId
string
required
password
boolean
required
nodeId
string
required
allowSave
boolean | null
required
allowCopy
boolean | null
required
enabled
boolean
required
Last modified on March 5, 2026